// Sistemas Operativos - Curso 2do Semestre 2011
// Tecnologo en Informatica FIng - CETP
//
// Manejo de Memoria Compartida
// shmem.h

#ifndef _shmem_h_
#define _shmem_h_

#include <sys/ipc.h>
#include <sys/shm.h>
#include <stdlib.h>

int CrearMemc (char * path, char key, int tamano);
// Crea nueva memoria compartida y devuelve el id

int DarIdMemc (char * path, char key);
// Devuelve el id, sin crear nueva memoria

void * DirMemc (int id);
// Devuelve un puntero a la direccion de memoria
// Notar la necesidad de "castear" el puntero recibido

int Destruir (int id);
// Libera la memoria compartida

#endif

